/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.GrupoRuta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Bruno H. G. Gouvêa <bruno@rjconsultores.com.br>
 *
 */
public class RenderGrupoRuta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        GrupoRuta grupoRuta = (GrupoRuta) o;

        Listcell lc = new Listcell(grupoRuta.getGrupoRutaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(grupoRuta.getDescGrupo());
        lc.setParent(lstm);

        lstm.setAttribute("data", grupoRuta);
    }
}
